## r-cran-lexrankr 0.5.0

=== DESCRIPTION ===
Package: lexRankr
Type: Package
Title: Extractive Summarization of Text with the LexRank Algorithm
Version: 0.5.0
Author: Adam Spannbauer [aut, cre], Bryan White [ctb]
Maintainer: Adam Spannbauer <spannbaueradam@gmail.com>
Description: An R implementation of the LexRank algorithm described by G. Erkan and D. R. Radev (2004) <DOI:10.1613/jair.1523>.
License: MIT + file LICENSE
URL: https://github.com/AdamSpannbauer/lexRankr/
BugReports: https://github.com/AdamSpannbauer/lexRankr/issues/
LazyData: TRUE
RoxygenNote: 6.0.1
Imports: SnowballC, igraph, Rcpp
Depends: R (>= 2.10)
LinkingTo: Rcpp
Suggests: covr, testthat, R.rsp
VignetteBuilder: R.rsp
NeedsCompilation: yes
Packaged: 2017-12-13 13:55:48 UTC; adamspannbauer
Repository: CRAN
Date/Publication: 2017-12-13 14:01:58 UTC

## r-cran-lexrankr 0.4.0

=== debian/changelog ===
r-cran-lexrankr (0.4.0-1build1) artful; urgency=medium

  * No-change rebuild to pick up r-api-3.4

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 28 Sep 2017 15:31:50 +0000

r-cran-lexrankr (0.4.0-1) unstable; urgency=medium

  * Initial release (closes: #859507)

 -- Andreas Tille <tille@debian.org>  Tue, 04 Apr 2017 16:01:11 +0200

=== debian/control ===
Source: r-cran-lexrankr
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Priority: optional
Build-Depends: debhelper (>= 10),
               dh-r,
               r-base-dev,
               r-cran-dplyr,
               r-cran-tidyr,
               r-cran-magrittr,
               r-cran-stringr,
               r-cran-igraph,
               r-cran-tm,
               r-cran-rcpp,
               r-cran-snowballc
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/viewvc/debian-med/trunk/packages/R/r-cran-lexrankr/trunk/
Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/R/r-cran-lexrankr/trunk/
Homepage: https://cran.r-project.org/package=lexRankr

Package: r-cran-lexrankr
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: extractive summarization of text with the LexRank algorithm
 An R implementation of the LexRank algorithm implementing stochastic
 graph-based method for computing relative importance of textual units
 for Natural Language Processing. We test the technique on the problem
 of Text Summarization (TS). Extractive TS relies on the concept of
 sentence salience to identify the most important sentences in a
 document or set of documents. Salience is typically defined in terms of
 the presence of particular important words or in terms of similarity to
 a centroid pseudo-sentence.

## r-cran-lexrankr 0.5.0

=== debian/changelog ===
r-cran-lexrankr (0.5.0-1) unstable; urgency=medium

  * New upstream version
  * debhelper 11
  * Standards-Version: 4.1.3
  * Document binary data file in debian/README.source

 -- Andreas Tille <tille@debian.org>  Fri, 23 Feb 2018 09:36:09 +0100

r-cran-lexrankr (0.4.1-1) unstable; urgency=medium

  * New upstream version
  * Moved packaging from SVN to Git
  * Standards-Version: 4.1.1
  * Enhance long description

 -- Andreas Tille <tille@debian.org>  Thu, 12 Oct 2017 17:16:08 +0200

=== debian/control ===
Source: r-cran-lexrankr
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Priority: optional
Build-Depends: debhelper (>= 11~),
               dh-r,
               r-base-dev,
               r-cran-dplyr,
               r-cran-tidyr,
               r-cran-magrittr,
               r-cran-stringr,
               r-cran-igraph,
               r-cran-tm,
               r-cran-rcpp,
               r-cran-snowballc
Standards-Version: 4.1.3
Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/r-cran-lexrankr.git
Vcs-Git: https://anonscm.debian.org/git/debian-med/r-cran-lexrankr.git
Homepage: https://cran.r-project.org/package=lexRankr

Package: r-cran-lexrankr
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: extractive summarization of text with the LexRank algorithm
 An R implementation of the LexRank algorithm implementing stochastic
 graph-based method for computing relative importance of textual units
 for Natural Language Processing. The technique on the problem
 of Text Summarization (TS) is tested. Extractive TS relies on the concept of
 sentence salience to identify the most important sentences in a
 document or set of documents. Salience is typically defined in terms of
 the presence of particular important words or in terms of similarity to
 a centroid pseudo-sentence.

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, r-cran-testthat,
Restrictions: allow-stderr

Tests: vignette
Depends: @
Restrictions: allow-stderr

## r-cran-lexrankr 0.5.2

=== DESCRIPTION ===
Package: lexRankr
Type: Package
Title: Extractive Summarization of Text with the LexRank Algorithm
Version: 0.5.2
Author: Adam Spannbauer [aut, cre], Bryan White [ctb]
Maintainer: Adam Spannbauer <spannbaueradam@gmail.com>
Description: An R implementation of the LexRank algorithm described by G. Erkan and D. R. Radev (2004) <DOI:10.1613/jair.1523>.
License: MIT + file LICENSE
URL: https://github.com/AdamSpannbauer/lexRankr/
BugReports: https://github.com/AdamSpannbauer/lexRankr/issues/
LazyData: TRUE
RoxygenNote: 6.1.1
Imports: SnowballC, igraph, Rcpp
Depends: R (>= 2.10)
LinkingTo: Rcpp
Suggests: covr, testthat, R.rsp
VignetteBuilder: R.rsp
Encoding: UTF-8
NeedsCompilation: yes
Packaged: 2019-03-17 20:40:20 UTC; adamspannbauer
Repository: CRAN
Date/Publication: 2019-03-17 21:00:03 UTC

=== debian/changelog ===
r-cran-lexrankr (0.5.2-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 07:24:24 +0100

r-cran-lexrankr (0.5.2-1) unstable; urgency=medium

  * New upstream version
  * debhelper 12
  * Standards-Version: 4.4.0

 -- Andreas Tille <tille@debian.org>  Mon, 15 Jul 2019 22:24:44 +0200

r-cran-lexrankr (0.5.0-2) unstable; urgency=medium

  * Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-
    lists.debian.net>
  * Point Vcs fields to salsa.debian.org
  * dh-update-R to update Build-Depends

 -- Andreas Tille <tille@debian.org>  Fri, 15 Jun 2018 15:03:17 +0200

=== debian/control ===
--- 
+++ 
@@ -1,22 +1,17 @@
 Source: r-cran-lexrankr
-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper (>= 12~),
                dh-r,
                r-base-dev,
-               r-cran-dplyr,
-               r-cran-tidyr,
-               r-cran-magrittr,
-               r-cran-stringr,
+               r-cran-snowballc,
                r-cran-igraph,
-               r-cran-tm,
-               r-cran-rcpp,
-               r-cran-snowballc
-Standards-Version: 4.1.3
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/r-cran-lexrankr.git
-Vcs-Git: https://anonscm.debian.org/git/debian-med/r-cran-lexrankr.git
+               r-cran-rcpp
+Standards-Version: 4.4.0
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-lexrankr
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-lexrankr.git
 Homepage: https://cran.r-project.org/package=lexRankr
 
 Package: r-cran-lexrankr

=== debian/watch ===
version=4
https://cran.r-project.org/src/contrib/lexRankr_([-\d.]*)\.tar\.gz
